summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-gfx/pencil
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-gfx/pencil')
-rw-r--r--media-gfx/pencil/Manifest1
-rw-r--r--media-gfx/pencil/files/pencil-0.4.4_beta-gcc461.patch14
-rw-r--r--media-gfx/pencil/metadata.xml10
-rw-r--r--media-gfx/pencil/pencil-0.4.4_beta.ebuild42
4 files changed, 67 insertions, 0 deletions
diff --git a/media-gfx/pencil/Manifest b/media-gfx/pencil/Manifest
new file mode 100644
index 00000000000..0b12434f7f5
--- /dev/null
+++ b/media-gfx/pencil/Manifest
@@ -0,0 +1 @@
+DIST pencil-0.4.4b-src.zip 1147003 SHA256 8a1373e745d9c039e15c7b3f0c1846190fcc4621306b2dd507c31ac31de64303
diff --git a/media-gfx/pencil/files/pencil-0.4.4_beta-gcc461.patch b/media-gfx/pencil/files/pencil-0.4.4_beta-gcc461.patch
new file mode 100644
index 00000000000..d0aa8936b8f
--- /dev/null
+++ b/media-gfx/pencil/files/pencil-0.4.4_beta-gcc461.patch
@@ -0,0 +1,14 @@
+--- src/graphics/vector/beziercurve.cpp 2007-07-14 21:41:33.000000000 +0200
++++ src/graphics/vector/beziercurve.cpp 2011-08-29 16:19:08.930675072 +0200
+@@ -700,9 +700,9 @@
+ R1.setTopLeft(P1); R1.setBottomRight(Q1);
+ R2.setTopLeft(P2); R2.setBottomRight(Q2);
+
+- //QPointF intersectionPoint = QPointF(50.0, 50.0); // bogus point
++ QPointF intersectionPoint = QPointF(50.0, 50.0); // bogus point
+ //QPointF* intersection = &intersectionPoint;
+- QPointF* cubicIntersection = &QPointF(50.0, 50.0); // bogus point
++ QPointF* cubicIntersection = &intersectionPoint; // bogus point
+ if( R1.intersects(R2) || L2.intersect(L1, cubicIntersection) == QLineF::BoundedIntersection ) {
+ //if(L2.intersect(L1, intersection) == QLineF::BoundedIntersection) {
+ //qDebug() << " FOUND rectangle intersection ";
diff --git a/media-gfx/pencil/metadata.xml b/media-gfx/pencil/metadata.xml
new file mode 100644
index 00000000000..c7699071b16
--- /dev/null
+++ b/media-gfx/pencil/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">pencil-planner</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-gfx/pencil/pencil-0.4.4_beta.ebuild b/media-gfx/pencil/pencil-0.4.4_beta.ebuild
new file mode 100644
index 00000000000..e26e14f04c0
--- /dev/null
+++ b/media-gfx/pencil/pencil-0.4.4_beta.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils qt4-r2
+
+MY_P=${P/_beta/b}
+
+DESCRIPTION="A Qt4 based animation and drawing program"
+HOMEPAGE="http://www.pencil-animation.org/"
+SRC_URI="mirror://sourceforge/pencil-planner/${MY_P}-src.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-qt/qtgui:4
+ dev-qt/qtopengl:4
+ >=media-libs/ming-0.4.3"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}/${MY_P}-source
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gcc461.patch
+ sed -i s:SWFSprite:SWFMovieClip:g src/external/flash/flash.{cpp,h} || die
+}
+
+src_install() {
+ # install target not yet provided
+ #emake INSTALL_ROOT="${D}" install || die "emake install failed"
+ newbin Pencil ${PN} || die "dobin failed"
+
+ dodoc README TODO || die
+
+ mv "${S}"/icons/icon.png "${S}"/icons/${PN}.png
+ doicon "${S}"/icons/${PN}.png || die "doicon failed"
+ make_desktop_entry ${PN} Pencil ${PN} Graphics
+}